Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_UIOP_Connector Class Reference

UIOP-specific Connector bridge for pluggable protocols. More...

`#include <UIOP_Connector.h>`

Inheritance diagram for TAO_UIOP_Connector:

[legend]
Collaboration diagram for TAO_UIOP_Connector:

[legend]
List of all members.

## Public Types
typedef TAO_Connect_Concurrency_Strategy< TAO_UIOP_Connection_Handler > | TAO_UIOP_CONNECT_CONCURRENCY_STRATEGY
typedef TAO_Connect_Creation_Strategy< TAO_UIOP_Connection_Handler > | TAO_UIOP_CONNECT_CREATION_STRATEGY
typedef ACE_Connect_Strategy< TAO_UIOP_Connection_Handler, ACE_LSOCK_CONNECTOR > | TAO_UIOP_CONNECT_STRATEGY
typedef ACE_Strategy_Connector< TAO_UIOP_Connection_Handler, ACE_LSOCK_CONNECTOR > | TAO_UIOP_BASE_CONNECTOR
## Public Methods
| TAO_UIOP_Connector (CORBA::Boolean flag=0)
| ~TAO_UIOP_Connector (void)
| Destructor. More...
The TAO_Connector Methods
Please check the documentation in Pluggable.h.
int | open (TAO_ORB_Core *orb_core)
int | close (void)
int | connect (TAO_GIOP_Invocation *invocation, TAO_Transport_Descriptor_Interface *desc ACE_ENV_ARG_DECL)
int | preconnect (const char *preconnections)
TAO_Profile * | create_profile (TAO_InputCDR &cdr)
virtual int | check_prefix (const char *endpoint)
virtual char | object_key_delimiter (void) const
## Protected Methods
More TAO_Connector methods
Please check the documentation in Pluggable.h.
virtual TAO_Profile * | make_profile (ACE_ENV_SINGLE_ARG_DECL)
int | init_uiop_properties (void)
| Obtains uiop properties that must be used by this connector, i.e., initializes <uiop_properties_>. More...
## Private Attributes
TAO_UIOP_CONNECT_STRATEGY | connect_strategy_
| Our connect strategy. More...
TAO_UIOP_BASE_CONNECTOR | base_connector_
| The connector initiating connection requests for UIOP. More...
CORBA::Boolean | lite_flag_
| Do we need to use a GIOP_Lite for sending messages? More...
TAO_UIOP_Properties | uiop_properties_
| UIOP configuration properties for all connections established by this connector. More...

## Detailed Description

UIOP-specific Connector bridge for pluggable protocols.

## Member Typedef Documentation

typedef ACE_Strategy_Connector<TAO_UIOP_Connection_Handler, ACE_LSOCK_CONNECTOR> TAO_UIOP_Connector::TAO_UIOP_BASE_CONNECTOR

typedef TAO_Connect_Concurrency_Strategy<TAO_UIOP_Connection_Handler> TAO_UIOP_Connector::TAO_UIOP_CONNECT_CONCURRENCY_STRATEGY

typedef TAO_Connect_Creation_Strategy<TAO_UIOP_Connection_Handler> TAO_UIOP_Connector::TAO_UIOP_CONNECT_CREATION_STRATEGY

typedef ACE_Connect_Strategy<TAO_UIOP_Connection_Handler, ACE_LSOCK_CONNECTOR> TAO_UIOP_Connector::TAO_UIOP_CONNECT_STRATEGY

## Constructor & Destructor Documentation

TAO_UIOP_Connector::TAO_UIOP_Connector | ( | CORBA::Boolean | flag = 0 | ) |

| Constructor. @ Do we want to pass in the tag here or should it be statically defined?

TAO_UIOP_Connector::~TAO_UIOP_Connector | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_UIOP_Connector::check_prefix | ( | const char * | endpoint | ) | `[virtual]`

| Reimplemented from TAO_Connector.

int TAO_UIOP_Connector::close | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Connector.

int TAO_UIOP_Connector::connect | ( | TAO_GIOP_Invocation * | invocation,
|  | TAO_Transport_Descriptor_Interface *desc | ACE_ENV_ARG_DECL_NOT_USED
| ) | `[virtual]`

| Reimplemented from TAO_Connector.

TAO_Profile * TAO_UIOP_Connector::create_profile | ( | TAO_InputCDR & | cdr | ) | `[virtual]`

| Reimplemented from TAO_Connector.

int TAO_UIOP_Connector::init_uiop_properties | ( | void |  | ) | `[protected]`

| Obtains uiop properties that must be used by this connector, i.e., initializes <uiop_properties_>.

TAO_Profile * TAO_UIOP_Connector::make_profile | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected, virtual]`

| Reimplemented from TAO_Connector.

char TAO_UIOP_Connector::object_key_delimiter | ( | void |  | ) | const`[virtual]`

| Reimplemented from TAO_Connector.

int TAO_UIOP_Connector::open | ( | TAO_ORB_Core * | orb_core | ) | `[virtual]`

| Reimplemented from TAO_Connector.

int TAO_UIOP_Connector::preconnect | ( | const char * | preconnects | ) | `[virtual]`

| Reimplemented from TAO_Connector.

## Member Data Documentation

TAO_UIOP_BASE_CONNECTOR TAO_UIOP_Connector::base_connector_`[private]`

| The connector initiating connection requests for UIOP.

TAO_UIOP_CONNECT_STRATEGY TAO_UIOP_Connector::connect_strategy_`[private]`

| Our connect strategy.

CORBA::Boolean TAO_UIOP_Connector::lite_flag_`[private]`

| Do we need to use a GIOP_Lite for sending messages?

TAO_UIOP_Properties TAO_UIOP_Connector::uiop_properties_`[private]`

| UIOP configuration properties for all connections established by this connector.

The documentation for this class was generated from the following files:

- UIOP_Connector.h
- UIOP_Connector.cpp